/**
 * Copyright (C) 2019-2021 Carl Kittelberger <icedream@icedream.pw>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import { defaultLocale } from '../../util/localization';
import withSession from '../../util/session';

export default withSession(async (req, res) => {
  const enableDark = req.session.get('enable-dark') || false;
  const locale = req.session.get('locale') || defaultLocale;
  const volume = req.session.get('volume') || 0.5;

  res.setHeader('cache-control', 'public, max-age=0, must-revalidate');

  res.json({
    enableDark,
    locale,
    volume,
  });
});
